%======================================================================
%                    S E T _ C A S T _ P A R A M S . M 
%                    doc: Mon Apr 20 09:03:09 2015
%                    dlm: Tue Jun 13 14:39:54 2017
%                    (c) 2015 A.M. Thurnherr
%                    uE-Info: 19 103 NIL 0 0 72 2 2 4 NIL ofnI
%======================================================================

% [1:13 28:187 189:194 196]

close all; figure(100);
more off;

%if (stn >= 84)
%	mkSADCP('../Data/SADCP','../Data/SADCP/SADCP_I09N.mat');
%end

%processing_version = 1;							% BT & GPS constraints; re-processed May 2017 for QC report
processing_version = 2;								% all constraints; FINAL VERSION; re-processed May 2017 for archive
%processing_version = 3;							% BT & GPS constraints; post-proc BT
%processing_version = 4;							% playing with compass
%processing_version = 5;							% GPS only (for shear/strain parameterization)

if stn == 998
	f.ladcpdo = sprintf('../Data/raw/%03d/%03dDL001.000',stn,stn);
	p.rotup2down = 4;
elseif stn == 115
	f.ladcpdo = sprintf('../Data/raw/%03d/%03dDL000.000',515,515);		% CTD failed during 1st cast
elseif stn == 127
	f.ladcpdo = sprintf('../Data/raw/%03d/%03dDL000.000',727,727);		% 3rd cast is deep one
elseif stn == 161 || stn == 163 || stn == 168
	f.ladcpdo = sprintf('../Data/raw/%03d/%03dDL001.000',stn,stn);		% multiple files on ADCP
elseif stn == 162
	f.ladcpdo = sprintf('../Data/raw/%03d/%03dDL000.000',562,562);		% 2nd cast is deep one
else	
	f.ladcpdo = sprintf('../Data/raw/%03d/%03dDL000.000',stn,stn);
end

if stn == 115
	f.ladcpup = sprintf('../Data/raw/%03d/%03dUL000.000',515,515);		% CTD failed during 1st cast
elseif stn == 127
	f.ladcpup = sprintf('../Data/raw/%03d/%03dUL000.000',727,727);		% 3rd cast is deep one
elseif stn == 161 || stn == 163 || stn == 168
	f.ladcpup = sprintf('../Data/raw/%03d/%03dUL001.000',stn,stn);		% multiple files on ADCP
elseif stn == 162
	f.ladcpup = sprintf('../Data/raw/%03d/%03dUL000.000',562,562);		% 2nd cast is deep one
elseif stn < 28 || stn >= 84											% no UL on profiles 28-83 (leg 1)
	f.ladcpup = sprintf('../Data/raw/%03d/%03dUL000.000',stn,stn);
end

f.res         = sprintf('V%d/%03d',processing_version,stn);
f.checkpoints = sprintf('checkpoints/%03d',stn);

if (stn < 84)
	f.sadcp = '../Data/SADCP/SADCP_I08S.mat';
else
	f.sadcp = '../Data/SADCP/SADCP_I09N.mat';
end

f.ctd = sprintf('../Data/CTD/%03d.1Hz',stn);
    f.ctd_header_lines      = 32;
    f.ctd_fields_per_line   = 11;
    f.ctd_pressure_field    = 2;
    f.ctd_temperature_field = 3;
    f.ctd_salinity_field    = 6;
    f.ctd_time_field        = 1;
    f.ctd_time_base         = 0;

f.nav = f.ctd;              
    f.nav_header_lines      = f.ctd_header_lines;
    f.nav_fields_per_line   = f.ctd_fields_per_line;
    f.nav_time_field        = f.ctd_time_field;
    f.nav_lat_field         = 10;
    f.nav_lon_field         = 11;
    f.nav_time_base         = f.ctd_time_base;    
    
%----------------------------------------------------------------------

ps.botfac 			= 1;					% defaults
ps.barofac 			= 1;
ps.sadcpfac 		= 0;
ps.fig3_colormap 	= 1;					% deep casts
ps.fig3_err_y_axis 	= 1;
p.btrk_mode 		= 3;					% BT: RDI before own
p.savecdf			= 0;
p.fix_compass		= 0;
p.rotup2down 		= 1;
p.saveplot          = [1:6 9:11 12:14];
p.saveplot_png      = [];

if processing_version == 1
%	p.savecdf 		= 1;					% enable netCDF output to test new code supplied by Diana Cardoso
elseif processing_version == 2				%	fail in profile 41?
	ps.sadcpfac 	= 1;
	p.saveplot_pdf  = [1:6 9:11 13:14];
	p.saveplot 		= [];
elseif processing_version == 3
	p.btrk_mode 	= 2;
elseif processing_version == 4
%	p.fix_compass 	= 1;
%	p.hdg_offset 	= [-148 0];				% 054, 055 (later one or two)
%	p.hdg_offset 	= [80 0];				% 036?
%	p.hdg_offset 	= [150 0];				% 041
%	p.hdg_offset	= [180 0];				% ???
%	p.hdg_offset	= [180 0];				% ???
	p.rotup2down 	= 4;					% use UL compass (084-)
elseif processing_version == 5
	ps.botfac 		= 0;					% GPS only
end

p.ladcp_station     = stn;
p.checkpoints       = [1]; 

p.cruise_id         = 'I08S';
p.whoami            = 'A.M. Thurnherr';
p.name              = sprintf('%s station #%d (V%d)',p.cruise_id,p.ladcp_station,processing_version);

